#### D.15.3.3 CompleteHomog

Procedure from library `chern.lib` (see chern_lib).

Usage:
  CompleteHomog(N, c); N integer, c list of polynomials

Return:
  list of polynomials

Purpose:
  computes the list of the complete homogeneous symmetric polynomials in terms of the elementary symmetric polynomials (entries of c)

Note:

Example:

    LIB "chern.lib";
    ring r = 0, (x(1..3)), dp;
    list l=x(1..3);
    //Complete homogeneous symmetric polynomials up to degree 3 in variables x(1), x(2), x(3)
    print( CompleteHomog(3, l) );
    ==> [1]:
    ==>    1
    ==> [2]:
    ==>    x(1)
    ==> [3]:
    ==>    x(1)^2-x(2)
    ==> [4]:
    ==>    x(1)^3-2*x(1)*x(2)+x(3)

User manual for Singular version 4-0-3, 2016, generated by texi2html.